Subject: Re: [#208] IANA registry for cache-control directives

From: Mark Nottingham <[email-masked]>
Date: Wed, 14 Jul 2010 14:31:52 +1000

It seems like discussion on this went on a tangent. Just to make sure people are aware, -10 has proposed text:

>    The HTTP Cache Directive Registry defines the name space for the
>    cache directives.
> 
>    Registrations MUST include the following fields:
> 
>    o  Cache Directive Name
> 
>    o  Pointer to specification text
> 
>    Values to be added to this name space are subject to IETF review
>    ([RFC5226], Section 4.1).
> 
>    The registry itself is maintained at
>    <http://www.iana.org/assignments/http-cache-directives>.

http://tools.ietf.org/html/draft-ietf-httpbis-p6-cache-10#section-3.2.3

Cheers,

On 06/05/2010, at 11:11 PM, Julian Reschke wrote:

> (FYI)
> 
> ...this reminded me that we haven't got an IANA registry for cache control directives -- so I just opened <http://trac.tools.ietf.org/wg/httpbis/trac/ticket/208>.
> 
> Best regards, Julian
> 
> On 06.05.2010 02:52, [email-masked] wrote:
>> 
>> A new Request for Comments is now available in online RFC libraries.
>> 
>> 
>>         RFC 5861
>> 
>>         Title:      HTTP Cache-Control Extensions for Stale
>>                     Content
>>         Author:     M. Nottingham
>>         Status:     Informational
>>         Stream:     Independent
>>         Date:       May 2010
>>         Mailbox:    [email-masked]
>>         Pages:      6
>>         Characters: 10359
>>         Updates/Obsoletes/SeeAlso:   None
>> 
>>         I-D Tag:    draft-nottingham-http-stale-controls-00.txt
>> 
>>         URL:        http://www.rfc-editor.org/rfc/rfc5861.txt
>> 
>> This document defines two independent HTTP Cache-Control extensions
>> that allow control over the use of stale responses by caches.  This
>> document is not an Internet Standards Track specification; it is
>> published for informational purposes.
>> 
>> 
>> INFORMATIONAL: This memo provides information for the Internet community.
>> It does not specify an Internet standard of any kind. Distribution of
>> this memo is unlimited.
>> 
>> This announcement is sent to the IETF-Announce and rfc-dist lists.
>> To subscribe or unsubscribe, see
>>   http://www.ietf.org/mailman/listinfo/ietf-announce
>>   http://mailman.rfc-editor.org/mailman/listinfo/rfc-dist
>> 
>> For searching the RFC series, see http://www.rfc-editor.org/rfcsearch.html.
>> For downloading RFCs, see http://www.rfc-editor.org/rfc.html.
>> 
>> Requests for special distribution should be addressed to either the
>> author of the RFC in question, or to [email-masked].  Unless
>> specifically noted otherwise on the RFC itself, all RFCs are for
>> unlimited distribution.
>> 
>> 
>> The RFC Editor Team
>> Association Management Solutions, LLC
>> 
>> 
>> _______________________________________________
>> IETF-Announce mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/ietf-announce
>> 
> 
> 

--
Mark Nottingham     http://www.mnot.net/